:root {
    --primary-color: #3148F6;
    --primary-color-highlight: #1C2127;
    --bs-body-bg: #E9E9E9; 
    --bs-body-font-family: 'Montserrat', sans-serif;
}

html{scroll-behavior: smooth;}

a { color: var(--primary-color-highlight); }
a:hover { color: var(--primary-color-highlight); }



.container-custom {
    width: 100%;
    padding: 0 1rem;
    margin: 0 auto;
}

@media (min-width: 1200px) {
    .container-custom { width: 1140px; }
}

@media (min-width: 1400px) {
    .container-custom { width: 1340px; }
}

@media (min-width: 1600px) {
    .container-custom { width: 1540px; }
}

@media (min-width: 1400px) {
    .main__heading {
        font-size: 3.2rem;
    }
}

.header {
    z-index: 2;
}

/* Main header */
.hamburger-menu {
    font-size: 36px;
    width: 36px;
    height: 36px;
}

/* Navigation Bar */
#navbar {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: var(--bs-body-bg);
    z-index: 4;
}

/* Close navigation button */
.dropdown-nav_closeNavBtn {
    position: absolute;
    top: 20px;
    right: 16px;
    color: var(--primary-color-highlight);
}

/* Exit hamburger menu */
.exit-hamburger-menu {
    font-size: 36px;
    width: 36px;
    height: 36px;
}

/* Dropdown nav container */
.dropdown-nav-container {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    background-color: var(--bs-body-bg);
    padding: 30px;
    /* height: 100vh; */
    z-index: 5;
    overflow-y: auto;
    box-shadow: 4px 0 12 rgba(0,0,0,0.1);
}

.main-page {
    height: 100vh;
    width: 100%;
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* Main page overlay */
.main-page-overlay {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    opacity: 0.5;
    background-color: rgba(0,0,0,0.9);
    z-index: 1;
}

.main_page_content {
    z-index: 2;
    position: relative;
}

.main_page_content-width {
    max-width: 540px;
}

.main__scroll-btn {
    position: absolute;
    left: 50%;
    bottom: 30px;
    transform: translateX(-50%);
    z-index: 3;
    color: var(--primary-color-highlight);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
}

.main__scroll-btn:hover {
    color: var(--primary-color);
    opacity: 0.8;
}

.main__scroll-btn .bi {
    transition-delay: 0.8s;
    animation: bounce 1s infinite alternate
}

button.navbar-toggler:focus {
    box-shadow: none;
    outline: none;
}

.card {
    border: none;
    background-color: var(--bs-body-bg);
    border-radius: 8px;
    overflow: hidden;
}

.card-body {
    padding: 1.5rem;
}

.card-title {
    font-size: 1.25rem;
    margin-bottom: 0.5rem;
    font-weight: bold;
}

embed, iframe {
    width: 100%;
    height: 400px;;
}

.ratio {
    margin-bottom: 1rem;
}
  
.embed-responsive {
    background-color: #f9f9f9;
}
